v4.0
get
/ec-ors-svc/rest/v4.0/studies/{studyId}/{mode}/shipments/{shipmentId}/kits
Retrieves a kit's details by order. Rights: OrsInventoryGet, OrsUnblinded. Added new field: kitNumberUTF to the response.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
shipmentId(required): string(uuid)
ID of the shipment.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
kitNumber(required): string
Kit/Lot number.
-
orderBy(required): string
Specify the parameter by which the kits are ordered.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Shipment Kits Response v4.0
Type:
objectTitle:
Shipment Kits Response v4.0Response containing shipment kit details.
Show Source
-
kitTypes: array
ShipmentKitsResponse.KitTypes
Title:
ShipmentKitsResponse.KitTypesList of kit type summaries. -
shipmentId: string
(uuid)
Shipment ID.
Nested Schema : ShipmentKitsResponse.KitTypes
Type:
arrayTitle:
ShipmentKitsResponse.KitTypesList of kit type summaries.
Show Source
-
Array of:
object Shipment Kit Type Summary v4.0
Title:
Shipment Kit Type Summary v4.0Kit type summary details.
Nested Schema : Shipment Kit Type Summary v4.0
Type:
objectTitle:
Shipment Kit Type Summary v4.0Kit type summary details.
Show Source
-
description: string
Kit type description.Example:
Non dosing kit -
id: string
(uuid)
ID of the kit type.
-
kits: array
kits
-
kitTypeName: string
Kit type name.Example:
Kit A -
packageTypeId: number
(double)
Allowed Values:
[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]Unique ID corresponding to each package type value (1 for BLISTERPACK, 2 for BOTTLE, 3 for DEVICE, 4 for SYRINGE, 5 for OINTMENT, 6 for VIAL, 7 for INHALER, 8 for INFUSION, 9 for BOX, 10 for OTHER).Example:5 -
packageTypeKey: string
Allowed Values:
[ "BLISTERPACK", "BOTTLE", "DEVICE", "SYRINGE", "OINTMENT", "VIAL", "INHALER", "INFUSION", "BOX", "OTHER" ]Package type key.Example:INHALER -
unitsPerKit: number
(double)
Number of units per kit.Example:
5
Nested Schema : kits
Type:
Show Source
array-
Array of:
object Shipment Kit v4.0
Title:
Shipment Kit v4.0Kit details.
Nested Schema : Shipment Kit v4.0
Type:
objectTitle:
Shipment Kit v4.0Kit details.
Show Source
-
barcode: string
Barcode.Example:
Kit A -
depotReturnedUnits: number
(double)
Number of units returned to depot.Example:
5 -
id: string
(uuid)
Kit ID.
-
inventoryStatusId: number
(double)
Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:
5 -
itemNumber: string
Item number.Example:
ItemNumber0000001 -
kitNumber: number
(double)
Kit number.Example:
5 -
kitNumberUTF: string
Title:
Kit Number UTFKit number with UTF-8 support.Example:12345 -
materialId: string
Material ID.Example:
MaterialId0000001 -
missingUnits: number
(double)
Missing units for the kit.Example:
5 -
returnedUnits: number
(double)
Returned units for the kit.Example:
5 -
sequenceNumber: number
(double)
Sequence number.Example:
5
404 Response
'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
object500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
object